<template>
  <div id="app">
    <header>
      <span>D&D {{ this.$route.name }}</span>
    </header>
    <main>
      <menu-bar/>
      <router-view></router-view>
    </main>
  </div>
</template>

<script>
import MenuBar from '@/components/MenuBar'

export default {
  name: 'app',
  components: {
    MenuBar
  }
}
</script>

<style>
body,
html {
  height: 100%;
  margin: 0;
}

#app {
  height: 100%;
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}

main {
  text-align: center;
  display: grid;
  grid-template-columns: 15% auto;
}
main > * {
  flex-grow: 1;
}

header {
  margin: 0;
  height: 56px;
  padding: 0 16px 0 24px;
  background-color: #35495e;
  color: #ffffff;
}

header span {
  display: block;
  position: relative;
  font-size: 20px;
  line-height: 1;
  letter-spacing: 0.02em;
  font-weight: 400;
  box-sizing: border-box;
  padding-top: 16px;
}
</style>
